{
	saved_firsttime [1]
	
	Init[(s)
	{
		if(saved_firsttime = 1)
		{
			saved_firsttime = 0;
			
			SetNationality(1);
	
			GiveWeapon(56);
			PlayAnimation(7);
	
			SetAttackDistance(15,15);
			SetState_Patrol(1);
			SetLineOfSight(0);
			SetWalkToDist(10);
	
			SetRunning();
			SetWander(0);
	
			if( (GetID()="capt01") or (GetID()="capt02") )
			{
				SetAttackDistance(15,15);
				SetState_Patrol(0);
			}
		}
	}]

	GoWalking [ (xpos, ypos, mode)
	{
		SetAttackDistance(10,10);
		SetState_Patrol(0);
		SetLineOfSight(0);
		SetRunning();
		PlayAnimation(0);
		WalkTo(xpos, ypos, mode, 1);
	}]

	ReachedDestination [(dest)
	{
		if (dest=5)
			{
				SetCrouching();
				PlayAnimation(8);
				SetAttackDistance(15,15);
				SetState_Patrol(0);
				SetLineOfSight(0);
				TurnTo( Level.GetPlayer());
				SetWander(0);
			}

		if (dest=6)
		{
				PlayAnimation(7);
				SetAttackDistance(15,15);
				SetState_Patrol(0);
				SetLineOfSight(0);
				TurnTo( Level.GetPlayer());
				SetWander(0);
		}
	}]
}